package com.steerinfo.baseinfo.meterbasevoice.service;

import com.steerinfo.framework.service.IBaseService;
import com.steerinfo.baseinfo.meterbasevoice.model.MeterBaseVoice;
import com.steerinfo.framework.service.pagehelper.PageList;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * MeterBaseVoice服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2020-06-15 03:04
 * 类描述
 * 修订历史：
 * 日期：2020-06-15
 * 作者：generator
 * 参考：
 * 描述：MeterBaseVoice服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface IMeterBaseVoiceService extends IBaseService<MeterBaseVoice, String>{
   String Recovery(List<MeterBaseVoice> models);

   String abolish(List<MeterBaseVoice> models);

   String checkandadd(MeterBaseVoice model);

   String checkandupdate(String id,MeterBaseVoice model);

    List<MeterBaseVoice> queryAll(Map<String,Object> parmas);
}
